/***** drawGenealogy.h ********************************************
 * Description: 
 * Author: Bernhard Haubold, haubold@evolbio.mpg.de
 * File created on Fri Sep 23 09:26:34 2005.
 *****************************************************************/

typedef struct gene{
  struct gene *ancestor;
  int generation;
  int pos;
  unsigned int isMrca : 1;
  unsigned int isAncestral : 1;
  unsigned int id : 1;
}Gene;

typedef struct indiv{
  Gene *gene1, *gene2;
  int generation;
  int pos;
  unsigned int isMrca : 1;
  unsigned int isUa : 1;
  unsigned int isNonUa : 1;
  unsigned int isAncestral : 1;
  unsigned int isMale : 1;
  struct indiv *ancestor1, *ancestor2;
  char *descendants;
}Indiv;

void draw(Args *args, Indiv ***pop);
void printLatexHeader(FILE *fp);
void followIndividuals(FILE *fp, Indiv *indiv, Args *args);
void followGenes(FILE *fp, Gene *gene, Args *args);
Indiv *getIndiv(gsl_rng *ranf, Args *args, int generation, int pos);
